import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class PowerupAmmo extends Actor
{
    public void act() 
    {
        this.moveLeft();
        if(this.getX() < 1) {
            this.getWorld().removeObject(this);
        }
    }   
    public void moveLeft() {
        this.setLocation(this.getX() - 2, this.getY());
    }
}